#!/usr/bin/env bash

setup(){
  load "$PWD/tests/integration/helpers/common"
  _common_setup
}

@test "bash autocompletion" {
  run $ABRA autocomplete bash
  assert_success
  assert_exists "$ABRA_DIR/autocompletion/bash"
}

@test "zsh autocompletion" {
  run $ABRA autocomplete zsh
  assert_success
  assert_exists "$ABRA_DIR/autocompletion/zsh"
}

@test "fish autocompletion" {
  run $ABRA autocomplete fish
  assert_success
  assert_exists "$ABRA_DIR/autocompletion/fish"
}

@test "fizsh autocompletion" {
  run $ABRA autocomplete fizsh
  assert_success
  assert_exists "$ABRA_DIR/autocompletion/zsh"
}
